{$R+,Q+}
program checkh;

uses
    testlib, sysutils;

var d: longint; r: real;
    cd: longint; cr: real;
    n: longint;

begin
  d := ouf.readLongint;
  r := ouf.readReal;

  cd := ans.readLongint;
  cr := ans.readReal;

  n := inf.readlongint;

  if d <> cd then 
    Quit( _WA, format( 'Different number of destabilizing planets: %d instead of %d ', [d,cd] ) );

  if abs( r - cr ) > 1.1e-4 then
    Quit( _WA, format( 'Different transmitter radius: %.4f instead of %.4f', [r,cr] ) );

  Quit( _OK, format('N = %d, D = %d, R = %.4f', [n, d, r]));
end.
